> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.eliteprospects.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Game Logs

> Retrieve a paginated list of game logs. Use the `fields` parameter to customize response fields.



## OpenAPI

````yaml /api-reference/openapi.yml get /game-logs
openapi: 3.0.0
info:
  title: Elite Prospects API
  description: Elite Prospects API with data from https://www.eliteprospects.com
  contact:
    name: API Support
    email: api@eliteprospects.com
  version: '1.0'
servers:
  - description: Production server
    url: https://api.eliteprospects.com/v1
security:
  - ApiKeyAuth: []
tags:
  - name: Agency
  - name: Arena
  - name: Award
    description: Awards for player and staff
  - name: Country
  - name: Draft
    description: Drafted players and draft rankings
  - name: Game
  - name: Game Log
  - name: Game Log Aggregate
  - name: League
  - name: NHL Rights
  - name: Player
  - name: Player Stats
  - name: Player Style
  - name: Ranking
  - name: Retired Number
  - name: Search
  - name: Staff
  - name: Staff Stats
  - name: Star And Cult Player
  - name: Team
  - name: Team Stats
  - name: Transfer
externalDocs:
  description: More info at Elite Prospects website
  url: https://www.eliteprospects.com/api
paths:
  /game-logs:
    get:
      tags:
        - Game Log
      summary: Game Logs
      description: >-
        Retrieve a paginated list of game logs. Use the `fields` parameter to
        customize response fields.
      operationId: listGameLogs
      parameters:
        - in: query
          name: fields
          schema:
            type: array
            items:
              type: string
              enum:
                - id
                - game
                - team
                - teamName
                - teamLogo
                - teamLogoUrl
                - opponent
                - opponentName
                - opponentLogo
                - opponentLogoUrl
                - gameType
                - teamScore
                - opponentScore
                - outcome
                - teamScoreSo
                - opponentScoreSo
                - player
                - jerseyNumber
                - playerRole
                - stats
                - createdAt
                - updatedAt
                - game.*
                - team.*
                - teamLogo.*
                - opponent.*
                - opponentLogo.*
                - player.*
                - stats.*
                - '*'
          style: form
          explode: false
          required: false
          description: "Specify custom response with available response fields.\r\n***\r\n*Fields included as default:* id, game, team, teamName, teamLogo, teamLogoUrl, opponent, opponentName, opponentLogo, opponentLogoUrl, gameType, teamScore, opponentScore, outcome, teamScoreSo, opponentScoreSo, player, jerseyNumber, playerRole, stats, createdAt, updatedAt"
        - $ref: '#/components/parameters/offsetParam'
        - $ref: '#/components/parameters/limitParam'
        - in: query
          name: sort
          schema:
            type: array
            items:
              type: string
              enum:
                - game.date
                - '-game.date'
                - game.dateTime
                - '-game.dateTime'
                - game.league
                - '-game.league'
                - player
                - '-player'
                - player.playerType
                - '-player.playerType'
                - team
                - '-team'
                - opponent
                - '-opponent'
                - teamScore
                - '-teamScore'
                - opponentScore
                - '-opponentScore'
                - stats.G
                - '-stats.G'
                - stats.A
                - '-stats.A'
                - stats.PTS
                - '-stats.PTS'
                - stats.PIM
                - '-stats.PIM'
                - stats.PM
                - '-stats.PM'
                - stats.SOG
                - '-stats.SOG'
                - stats.PPG
                - '-stats.PPG'
                - stats.SHG
                - '-stats.SHG'
                - stats.GA
                - '-stats.GA'
                - stats.SA
                - '-stats.SA'
                - stats.SV
                - '-stats.SV'
                - stats.SVP
                - '-stats.SVP'
                - stats.SO
                - '-stats.SO'
                - stats.TOI
                - '-stats.TOI'
                - createdAt
                - '-createdAt'
                - updatedAt
                - '-updatedAt'
            default: '-game.dateTime'
          style: form
          explode: false
          required: false
          description: >-
            Sort results by field name. Prefix with `-` for descending order
            (e.g., `-name`).
        - in: query
          name: player
          schema:
            type: array
            items:
              type: integer
          required: false
          description: Filter by player ID
          style: form
          explode: false
        - in: query
          name: player.nationality
          schema:
            type: array
            items:
              type: string
          required: false
          description: Filter by player.nationality slug in ISO 3166-1 alpha-3
          style: form
          explode: false
        - in: query
          name: player.playerType
          schema:
            $ref: '#/components/schemas/PlayerType'
          required: false
          description: Filter by player.playerType
        - in: query
          name: player.position
          schema:
            type: array
            items:
              $ref: '#/components/schemas/DetailedPosition'
          required: false
          description: Filter by player.position
          style: form
          explode: false
        - in: query
          name: player.position:not
          schema:
            type: array
            items:
              $ref: '#/components/schemas/Position'
          required: false
          description: Filter by player.position not equal to
          style: form
          explode: false
        - in: query
          name: player.playerStyle
          schema:
            type: string
          required: false
          description: Filter by player.playerStyle slug
        - in: query
          name: player.age
          schema:
            type: string
          required: false
          description: Filter by player.age in In UTC
        - in: query
          name: player.draftedInDraftType
          schema:
            type: array
            items:
              type: string
          required: false
          description: Filter by player.draftedInDraftType
          style: form
          explode: false
        - in: query
          name: player.nhlDrafted
          schema:
            type: boolean
          required: false
          description: Filter by player.nhlDrafted
          deprecated: true
        - in: query
          name: player.nhlDraftedByTeam
          schema:
            type: array
            items:
              type: integer
          required: false
          description: Filter by player.nhlDraftedByTeam
          style: form
          explode: false
        - in: query
          name: player.nhlRights.rights
          schema:
            type: array
            items:
              $ref: '#/components/schemas/NHLRights_Rights'
          required: false
          description: Filter by player.nhlRights.rights
          style: form
          explode: false
        - in: query
          name: player.nhlRights.team
          schema:
            type: array
            items:
              type: integer
          required: false
          description: Filter by player.nhlRights.team
          style: form
          explode: false
        - in: query
          name: player.draftStatus
          schema:
            $ref: '#/components/schemas/DraftStatus'
          required: false
          description: Filter by player.draftStatus
        - in: query
          name: player.nhlDraftProspect
          schema:
            $ref: '#/components/schemas/NhlDraftProspect'
          required: false
          description: Filter by player.nhlDraftProspect
          deprecated: true
        - in: query
          name: player.verified
          schema:
            type: boolean
          required: false
          description: Filter by player.verified
        - in: query
          name: game
          schema:
            type: array
            items:
              type: integer
          required: false
          description: Filter by game ID
          style: form
          explode: false
        - in: query
          name: game.league
          schema:
            type: array
            items:
              type: string
          required: false
          description: Filter by game.league slug
          style: form
          explode: false
        - in: query
          name: game.season
          schema:
            type: string
          required: false
          description: Filter by game.season slug
        - in: query
          name: game.seasonType
          schema:
            $ref: '#/components/schemas/SeasonType'
          required: false
          description: Filter by game.seasonType
        - in: query
          name: game.dateTime:from
          schema:
            type: string
            format: date-time
          required: false
          description: >-
            Filter by game.dateTime greater or equal to in ISO-8601 format for
            date and time
        - in: query
          name: game.dateTime:to
          schema:
            type: string
            format: date-time
          required: false
          description: >-
            Filter by game.dateTime less than or equal to in ISO-8601 format for
            date and time
        - in: query
          name: game.date:from
          schema:
            type: string
            format: date
          required: false
          description: Filter by game.date greater or equal to in ISO-8601 format for date
        - in: query
          name: game.date:to
          schema:
            type: string
            format: date
          required: false
          description: >-
            Filter by game.date less than or equal to in ISO-8601 format for
            date
        - in: query
          name: team
          schema:
            type: array
            items:
              type: integer
          required: false
          description: Filter by team ID
          style: form
          explode: false
        - in: query
          name: opponent
          schema:
            type: array
            items:
              type: integer
          required: false
          description: Filter by opponent ID
          style: form
          explode: false
        - in: query
          name: team-or-opponent
          schema:
            type: array
            items:
              type: integer
          required: false
          description: Filter by team-or-opponent
          style: form
          explode: false
        - in: query
          name: stats.G:min
          schema:
            type: integer
          required: false
          description: Filter by stats.G greater or equal to
        - in: query
          name: stats.PTS:min
          schema:
            type: integer
          required: false
          description: Filter by stats.PTS greater or equal to
        - in: query
          name: stats.SV:min
          schema:
            type: integer
          required: false
          description: Filter by stats.SV greater or equal to
        - in: query
          name: stats.TOI:min
          schema:
            type: string
          required: false
          description: Filter by stats.TOI greater or equal to
        - in: query
          name: createdAt:min
          schema:
            type: string
            format: date-time
          required: false
          description: >-
            Filter by createdAt greater or equal to in ISO-8601 format for date
            and time
        - in: query
          name: updatedAt:min
          schema:
            type: string
            format: date-time
          required: false
          description: >-
            Filter by updatedAt greater or equal to in ISO-8601 format for date
            and time
      responses:
        '200':
          description: A paginated list of game logs.
          content:
            application/json:
              schema:
                type: object
                properties:
                  _meta:
                    allOf:
                      - $ref: '#/components/schemas/Meta'
                      - $ref: '#/components/schemas/ListMeta'
                  _links:
                    allOf:
                      - $ref: '#/components/schemas/PaginationLinks'
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/GameLog'
          x-field-info:
            defaultFields:
              - id
              - game
              - team
              - teamName
              - opponent
              - opponentName
              - gameType
              - teamScore
              - opponentScore
              - outcome
              - teamScoreSo
              - opponentScoreSo
              - player
              - stats
            extendedFields:
              - teamLogo
              - teamLogoUrl
              - opponentLogo
              - opponentLogoUrl
              - jerseyNumber
              - playerRole
              - createdAt
              - updatedAt
components:
  parameters:
    offsetParam:
      in: query
      name: offset
      schema:
        type: integer
        minimum: 0
        default: 0
      required: false
      description: The number of items to skip before starting to collect the result set.
    limitParam:
      in: query
      name: limit
      schema:
        type: integer
        minimum: 0
        maximum: 1000
        default: 100
      required: false
      description: The number of items to return.
  schemas:
    PlayerType:
      type: string
      enum:
        - GOALTENDER
        - SKATER
    DetailedPosition:
      type: string
      enum:
        - G
        - D
        - F
        - C
        - W
        - LW
        - RW
    Position:
      type: string
      enum:
        - G
        - D
        - F
        - null
      nullable: true
    NHLRights_Rights:
      type: string
      enum:
        - unsigned
        - signed
    DraftStatus:
      type: string
      enum:
        - drafted-prospect
        - drafted-player
        - undrafted-prospect-u21
        - not-drafted
    NhlDraftProspect:
      type: string
      enum:
        - drafted-prospect
        - undrafted-prospect-u21
    SeasonType:
      type: string
      enum:
        - PRESEASON
        - REGULAR_SEASON
        - POSTSEASON
    Meta:
      type: object
      properties:
        generatedAt:
          type: string
    ListMeta:
      type: object
      properties:
        offset:
          type: integer
        limit:
          type: integer
        totalRecords:
          type: integer
    PaginationLinks:
      type: object
      properties:
        first:
          type: string
        last:
          type: string
        prev:
          type: string
          nullable: true
        next:
          type: string
          nullable: true
    GameLog:
      type: object
      properties:
        id:
          type: integer
        game:
          properties:
            id:
              type: integer
            date:
              type: string
            dateTime:
              type: string
            season:
              $ref: '#/components/schemas/Season'
            seasonType:
              $ref: '#/components/schemas/SeasonType'
            league:
              $ref: '#/components/schemas/League'
            leagueName:
              type: string
              nullable: true
              description: Historic league name for specific season
            scoreType:
              $ref: '#/components/schemas/ScoreType'
            totalTime:
              type: string
              nullable: true
            eliteprospectsUrlPath:
              type: string
            updatedAt:
              type: string
        team:
          $ref: '#/components/schemas/Team'
        teamName:
          type: string
        teamLogo:
          properties:
            small:
              type: string
            medium:
              type: string
            large:
              type: string
              nullable: true
          nullable: true
        teamLogoUrl:
          type: string
          nullable: true
        opponent:
          $ref: '#/components/schemas/Team'
        opponentName:
          type: string
        opponentLogo:
          properties:
            small:
              type: string
            medium:
              type: string
            large:
              type: string
              nullable: true
          nullable: true
        opponentLogoUrl:
          type: string
          nullable: true
        gameType:
          $ref: '#/components/schemas/GameType'
        teamScore:
          type: integer
        opponentScore:
          type: integer
        outcome:
          $ref: '#/components/schemas/GameLogOutcome'
        teamScoreSo:
          type: integer
          nullable: true
        opponentScoreSo:
          type: integer
          nullable: true
        player:
          $ref: '#/components/schemas/Player'
        jerseyNumber:
          type: integer
          nullable: true
        playerRole:
          $ref: '#/components/schemas/PlayerRole'
        stats:
          properties:
            TOI:
              type: string
              nullable: true
            SOG:
              type: integer
              nullable: true
            G:
              type: integer
            A:
              type: integer
            PTS:
              type: integer
            PIM:
              type: integer
            PM:
              type: integer
              nullable: true
            PPG:
              type: integer
              nullable: true
            SHG:
              type: integer
              nullable: true
            SA:
              type: integer
              nullable: true
            SV:
              type: integer
              nullable: true
            GA:
              type: integer
              nullable: true
            SVP:
              type: number
              nullable: true
            SO:
              type: boolean
              nullable: true
        createdAt:
          type: string
        updatedAt:
          type: string
    Season:
      type: object
      properties:
        slug:
          type: string
        startYear:
          type: integer
        endYear:
          type: integer
    League:
      type: object
      properties:
        slug:
          type: string
        name:
          type: string
        fullName:
          type: string
          nullable: true
        commonName:
          type: string
          nullable: true
        teamClass:
          $ref: '#/components/schemas/TeamClass'
        leagueType:
          type: string
          nullable: true
        leagueLevel:
          type: string
          nullable: true
        scheduleType:
          $ref: '#/components/schemas/ScheduleType'
        defaultSeason:
          $ref: '#/components/schemas/Season'
        activeSeason:
          allOf:
            - $ref: '#/components/schemas/Season'
          nullable: true
        country:
          allOf:
            - $ref: '#/components/schemas/Country'
          nullable: true
        continent:
          $ref: '#/components/schemas/Continent'
        region:
          type: string
          nullable: true
        flagUrl:
          properties:
            small:
              type: string
            medium:
              type: string
        logo:
          properties:
            url:
              type: string
              nullable: true
            colors:
              type: array
              items:
                type: string
              nullable: true
            hasTransparency:
              type: boolean
          nullable: true
        logoUrl:
          type: string
          nullable: true
        imageUrl:
          type: string
          nullable: true
        numberOfTeams:
          type: integer
          nullable: true
        primaryDraftType:
          allOf:
            - $ref: '#/components/schemas/DraftType'
          nullable: true
        existsInLeagueEndpoint:
          type: boolean
        hasProjectedStats:
          type: boolean
        historicalData:
          type: array
          items:
            properties:
              slug:
                type: string
              name:
                type: string
              fullName:
                type: string
                nullable: true
              firstSeason:
                $ref: '#/components/schemas/Season'
              lastSeason:
                allOf:
                  - $ref: '#/components/schemas/Season'
                nullable: true
        links:
          properties:
            eliteprospectsUrl:
              type: string
            officialWebUrl:
              type: string
            statsUrl:
              type: string
            newsUrls:
              type: array
              items:
                type: string
            forumUrl:
              type: string
            facebook:
              type: string
            x:
              type: string
              nullable: true
            twitter:
              type: string
            instagram:
              type: string
            youtube:
              type: string
          nullable: true
        eliteprospectsUrlPath:
          type: string
        updatedAt:
          type: string
          nullable: true
        _links:
          type: array
          items:
            type: string
          nullable: true
    ScoreType:
      type: string
      enum:
        - FT
        - OT
        - SO
        - WO
        - null
      nullable: true
    Team:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        extraName:
          type: string
          nullable: true
        fullName:
          type: string
          nullable: true
        logo:
          properties:
            small:
              type: string
            medium:
              type: string
            large:
              type: string
              nullable: true
            colors:
              type: array
              items:
                type: string
              nullable: true
            hasTransparency:
              type: boolean
          nullable: true
        logoUrl:
          type: string
          nullable: true
        founded:
          type: integer
          nullable: true
        city:
          type: string
          nullable: true
        colors:
          type: string
          nullable: true
        status:
          $ref: '#/components/schemas/TeamStatus'
        league:
          allOf:
            - $ref: '#/components/schemas/League'
          nullable: true
        secondaryLeague:
          allOf:
            - $ref: '#/components/schemas/League'
          nullable: true
        teamType:
          $ref: '#/components/schemas/TeamType'
        teamClass:
          $ref: '#/components/schemas/TeamClass'
        country:
          allOf:
            - $ref: '#/components/schemas/Country'
          nullable: true
        continent:
          $ref: '#/components/schemas/Continent'
        flagUrl:
          properties:
            small:
              type: string
            medium:
              type: string
        defaultSeason:
          $ref: '#/components/schemas/Season'
        activeSeason:
          allOf:
            - $ref: '#/components/schemas/Season'
          nullable: true
        arena:
          allOf:
            - $ref: '#/components/schemas/Arena'
          nullable: true
        secondaryArena:
          allOf:
            - $ref: '#/components/schemas/Arena'
          nullable: true
        capHit:
          type: string
          nullable: true
        views:
          type: integer
          nullable: true
        currentRosterSize:
          type: integer
        links:
          properties:
            eliteprospectsUrl:
              type: string
            officialWebUrl:
              type: string
              nullable: true
            newsUrl:
              type: string
              nullable: true
            newspaperUrl:
              type: string
              nullable: true
            tvUrl:
              type: string
              nullable: true
            radioUrl:
              type: string
              nullable: true
            blogUrl:
              type: string
              nullable: true
            forumUrl:
              type: string
              nullable: true
            facebook:
              type: string
              nullable: true
            x:
              type: string
              nullable: true
            twitter:
              type: string
              nullable: true
            instagram:
              type: string
              nullable: true
            youtube:
              type: string
              nullable: true
            capHitUrl:
              type: string
              nullable: true
            lineCombinationsUrl:
              type: string
              nullable: true
            nationNetworkUrl:
              type: string
              nullable: true
        notes:
          type: string
          nullable: true
        eliteprospectsUrlPath:
          type: string
        slug:
          type: string
        updatedAt:
          type: string
        _links:
          type: array
          items:
            type: string
        mhrRating:
          type: number
          format: float
          nullable: true
        mhrId:
          type: integer
          nullable: true
        mhrUrl:
          type: string
          nullable: true
    GameType:
      type: string
      enum:
        - home
        - away
        - neutral
    GameLogOutcome:
      type: string
      enum:
        - W
        - T
        - L
    Player:
      type: object
      properties:
        id:
          type: integer
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        name:
          type: string
        alternativeFirstName:
          type: string
          nullable: true
        alternativeLastName:
          type: string
          nullable: true
        alternativeName:
          type: string
          nullable: true
        initialOfFirstName:
          type: string
          nullable: true
        initialOfLastName:
          type: string
          nullable: true
        gender:
          $ref: '#/components/schemas/Gender'
        status:
          $ref: '#/components/schemas/PlayerStatus'
        playerType:
          $ref: '#/components/schemas/PlayerType'
        position:
          $ref: '#/components/schemas/Position'
        detailedPosition:
          type: array
          items:
            $ref: '#/components/schemas/DetailedPosition'
        shoots:
          $ref: '#/components/schemas/Shoot'
        catches:
          $ref: '#/components/schemas/Catch'
        yearOfBirth:
          type: integer
          nullable: true
        dateOfBirth:
          type: string
          nullable: true
        age:
          type: integer
          nullable: true
          description: In UTC
        placeOfBirth:
          type: string
          nullable: true
        youthTeam:
          type: string
          nullable: true
        nationality:
          allOf:
            - $ref: '#/components/schemas/Country'
          nullable: true
        secondaryNationality:
          allOf:
            - $ref: '#/components/schemas/Country'
          nullable: true
        weight:
          properties:
            metrics:
              type: integer
            imperial:
              type: integer
          nullable: true
        height:
          properties:
            metrics:
              type: integer
            imperial:
              type: string
          nullable: true
        contract:
          type: string
          nullable: true
        capHit:
          type: string
          nullable: true
        gameStatus:
          $ref: '#/components/schemas/PlayerGameStatus'
        gameStatusInfo:
          type: string
          nullable: true
        views:
          type: integer
          nullable: true
        imageUrl:
          type: string
          nullable: true
        imageCopyright:
          type: string
          nullable: true
        pronunciationUrl:
          type: string
          nullable: true
        verified:
          type: boolean
        verifiedStyle:
          type: integer
          nullable: true
        contactable:
          type: boolean
        staff:
          allOf:
            - $ref: '#/components/schemas/Staff'
          nullable: true
        latestStats:
          allOf:
            - $ref: '#/components/schemas/PlayerStats'
          nullable: true
        latestGameLogsAggregated:
          type: array
          items:
            properties:
              stats:
                properties:
                  TOI:
                    type: string
                    nullable: true
                  SOG:
                    type: integer
                    nullable: true
                  GD:
                    type: integer
                    nullable: true
                  GP:
                    type: integer
                  G:
                    type: integer
                  A:
                    type: integer
                  PTS:
                    type: integer
                  PIM:
                    type: integer
                  PM:
                    type: integer
                    nullable: true
                  PPG:
                    type: integer
                    nullable: true
                  SHG:
                    type: integer
                    nullable: true
                  SA:
                    type: integer
                    nullable: true
                  SV:
                    type: integer
                    nullable: true
                  GA:
                    type: integer
                    nullable: true
                  SVP:
                    type: number
                    nullable: true
                  W:
                    type: integer
                    nullable: true
                  L:
                    type: integer
                    nullable: true
                  T:
                    type: integer
                    nullable: true
              limit:
                type: integer
        leagueExperience:
          type: array
          items:
            $ref: '#/components/schemas/League'
        nhlRights:
          allOf:
            - $ref: '#/components/schemas/NHLRights'
          nullable: true
        draftSelection:
          allOf:
            - $ref: '#/components/schemas/DraftSelection'
          nullable: true
        agencies:
          type: array
          items:
            $ref: '#/components/schemas/Agency'
        profileDescriptionAsHTML:
          type: string
          nullable: true
        scoutingReportUrl:
          type: string
          nullable: true
        scoutingReportThumbnailUrl:
          type: string
          nullable: true
        biographyAsHTML:
          type: string
          nullable: true
        playerStyles:
          type: array
          items:
            $ref: '#/components/schemas/PlayerStyle'
        links:
          properties:
            eliteprospectsUrl:
              type: string
            officialWebUrl:
              type: string
              nullable: true
            x:
              type: string
              nullable: true
            twitter:
              type: string
              nullable: true
            youtube:
              type: string
              nullable: true
            youtubeDescription:
              type: string
              nullable: true
            facebook:
              type: string
              nullable: true
            linkedin:
              type: string
              nullable: true
            instagram:
              type: string
              nullable: true
            capHitUrl:
              type: string
              nullable: true
        eliteprospectsUrlPath:
          type: string
        slug:
          type: string
        updatedAt:
          type: string
        _links:
          type: array
          items:
            type: string
    PlayerRole:
      type: string
      enum:
        - C
        - A
        - null
      nullable: true
    TeamClass:
      type: string
      enum:
        - men
        - women
    ScheduleType:
      type: string
      enum:
        - default
        - summer
        - null
      nullable: true
    Country:
      type: object
      properties:
        slug:
          type: string
          description: ISO 3166-1 alpha-3
        name:
          type: string
        iso_3166_1_alpha_2:
          type: string
          nullable: true
          description: ISO 3166-1 alpha-2
        flagUrl:
          properties:
            small:
              type: string
            medium:
              type: string
        eliteprospectsUrlPath:
          type: string
        updatedAt:
          type: string
        _links:
          type: array
          items:
            type: string
    Continent:
      type: string
      enum:
        - INT
        - AF
        - AN
        - AS
        - EU
        - NA
        - OC
        - SA
        - null
      nullable: true
    DraftType:
      type: object
      properties:
        slug:
          type: string
        name:
          type: string
        league:
          $ref: '#/components/schemas/League'
        _links:
          type: array
          items:
            type: string
        eliteprospectsUrlPath:
          type: string
    TeamStatus:
      type: string
      enum:
        - active
        - not-active
    TeamType:
      type: string
      enum:
        - club
        - international
    Arena:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        location:
          type: string
          nullable: true
        yearOfConstruction:
          type: integer
          nullable: true
        capacity:
          type: integer
          nullable: true
        infoAsHTML:
          type: string
          nullable: true
        imageUrl:
          type: string
          nullable: true
        country:
          allOf:
            - $ref: '#/components/schemas/Country'
          nullable: true
        eliteprospectsUrlPath:
          type: string
        _links:
          type: array
          items:
            type: string
        updatedAt:
          type: string
    Gender:
      type: string
      enum:
        - male
        - female
    PlayerStatus:
      type: string
      enum:
        - active
        - inactive
        - retired
        - deceased
    Shoot:
      type: string
      enum:
        - L
        - R
        - null
      nullable: true
    Catch:
      type: string
      enum:
        - L
        - R
        - null
      nullable: true
    PlayerGameStatus:
      type: string
      enum:
        - healthy
        - injured
        - suspended
    Staff:
      type: object
      properties:
        id:
          type: integer
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        name:
          type: string
        alternativeName:
          type: string
          nullable: true
        initialOfFirstName:
          type: string
          nullable: true
        initialOfLastName:
          type: string
          nullable: true
        imageUrl:
          type: string
          nullable: true
        imageCopyright:
          type: string
          nullable: true
        nationality:
          allOf:
            - $ref: '#/components/schemas/Country'
          nullable: true
        secondaryNationality:
          allOf:
            - $ref: '#/components/schemas/Country'
          nullable: true
        status:
          $ref: '#/components/schemas/StaffStatus'
        yearOfBirth:
          type: integer
          nullable: true
        dateOfBirth:
          type: string
          nullable: true
        age:
          type: integer
          nullable: true
          description: In UTC
        placeOfBirth:
          type: string
          nullable: true
        verified:
          type: boolean
        verifiedStyle:
          type: integer
          nullable: true
        contactable:
          type: boolean
        views:
          type: integer
          nullable: true
        player:
          allOf:
            - $ref: '#/components/schemas/Player'
          nullable: true
        latestStats:
          allOf:
            - $ref: '#/components/schemas/StaffStats'
          nullable: true
        leagueExperience:
          type: array
          items:
            $ref: '#/components/schemas/League'
        biography:
          type: string
          nullable: true
        links:
          properties:
            eliteprospectsUrl:
              type: string
            officialWebUrl:
              type: string
              nullable: true
            x:
              type: string
              nullable: true
            twitter:
              type: string
              nullable: true
            youtube:
              type: string
              nullable: true
            youtubeDescription:
              type: string
              nullable: true
            facebook:
              type: string
              nullable: true
            linkedin:
              type: string
              nullable: true
            instagram:
              type: string
              nullable: true
        eliteprospectsUrlPath:
          type: string
        slug:
          type: string
        updatedAt:
          type: string
        _links:
          type: array
          items:
            type: string
    PlayerStats:
      type: object
      properties:
        id:
          type: integer
        player:
          $ref: '#/components/schemas/Player'
        playerAge:
          type: integer
          nullable: true
          description: Player age during the season
        season:
          $ref: '#/components/schemas/Season'
        statsType:
          $ref: '#/components/schemas/PlayerStatsType'
        status:
          $ref: '#/components/schemas/PlayerStatsStatus'
        team:
          allOf:
            - $ref: '#/components/schemas/Team'
          nullable: true
        teamName:
          type: string
          nullable: true
          description: Historic team name for specific season
        teamLogo:
          properties:
            small:
              type: string
            medium:
              type: string
            large:
              type: string
              nullable: true
          nullable: true
        teamLogoUrl:
          type: string
          nullable: true
          description: Historic team logoUrl for specific season
        league:
          allOf:
            - $ref: '#/components/schemas/League'
          nullable: true
        leagueName:
          type: string
          nullable: true
          description: Historic league name for specific season
        leagueFullName:
          type: string
          nullable: true
          description: Historic league fullName for specific season
        leagueType:
          $ref: '#/components/schemas/LeagueType'
        jerseyNumber:
          type: integer
          nullable: true
        playerRole:
          $ref: '#/components/schemas/PlayerRole'
        contractType:
          $ref: '#/components/schemas/ContractType'
        regularStats:
          properties:
            GD:
              type: integer
              nullable: true
            GP:
              type: integer
            G:
              type: integer
            A:
              type: integer
            PTS:
              type: integer
            PIM:
              type: integer
            PM:
              type: integer
            PPG:
              type: number
            SA:
              type: integer
              nullable: true
            GA:
              type: integer
              nullable: true
            GAA:
              type: number
            SVS:
              type: integer
              nullable: true
            SVP:
              type: number
            SO:
              type: integer
              nullable: true
            W:
              type: integer
              nullable: true
            L:
              type: integer
              nullable: true
            T:
              type: integer
              nullable: true
            TOI:
              type: string
              nullable: true
          nullable: true
        postseasonType:
          type: string
          nullable: true
        postseasonName:
          type: string
          nullable: true
        postseasonStats:
          properties:
            GD:
              type: integer
              nullable: true
            GP:
              type: integer
            G:
              type: integer
            A:
              type: integer
            PTS:
              type: integer
            PIM:
              type: integer
            PM:
              type: integer
            PPG:
              type: number
            SA:
              type: integer
              nullable: true
            GA:
              type: integer
              nullable: true
            GAA:
              type: number
            SVS:
              type: integer
              nullable: true
            SVP:
              type: number
            SO:
              type: integer
              nullable: true
            W:
              type: integer
              nullable: true
            L:
              type: integer
              nullable: true
            T:
              type: integer
              nullable: true
            TOI:
              type: string
              nullable: true
          nullable: true
        totalStats:
          properties:
            GD:
              type: integer
              nullable: true
            GP:
              type: integer
            G:
              type: integer
            A:
              type: integer
            PTS:
              type: integer
            PIM:
              type: integer
            PM:
              type: integer
            PPG:
              type: number
            SA:
              type: integer
              nullable: true
            GA:
              type: integer
              nullable: true
            GAA:
              type: number
            SVS:
              type: integer
              nullable: true
            SVP:
              type: number
            SO:
              type: integer
              nullable: true
            W:
              type: integer
              nullable: true
            L:
              type: integer
              nullable: true
            T:
              type: integer
              nullable: true
            TOI:
              type: string
              nullable: true
          nullable: true
        clubTeamPlayerStats:
          allOf:
            - $ref: '#/components/schemas/PlayerStats'
          nullable: true
        coaches:
          properties:
            headCoaches:
              type: array
              items:
                $ref: '#/components/schemas/Staff'
            assistantCoaches:
              type: array
              items:
                $ref: '#/components/schemas/Staff'
            goaltendingCoaches:
              type: array
              items:
                $ref: '#/components/schemas/Staff'
        updatedAt:
          type: string
    NHLRights:
      type: object
      properties:
        id:
          type: integer
        rights:
          $ref: '#/components/schemas/NHLRights_Rights'
        position:
          $ref: '#/components/schemas/DetailedPosition'
        player:
          $ref: '#/components/schemas/Player'
        team:
          $ref: '#/components/schemas/Team'
        updatedAt:
          type: string
    DraftSelection:
      type: object
      properties:
        id:
          type: integer
        draftType:
          $ref: '#/components/schemas/DraftType'
        year:
          type: integer
        round:
          type: integer
          nullable: true
        overall:
          type: integer
          nullable: true
        team:
          $ref: '#/components/schemas/Team'
        teamName:
          type: string
        teamLogo:
          properties:
            small:
              type: string
            medium:
              type: string
            large:
              type: string
              nullable: true
          nullable: true
        teamLogoUrl:
          type: string
          nullable: true
        player:
          allOf:
            - $ref: '#/components/schemas/Player'
          nullable: true
        playerTeamBeforeDraft:
          allOf:
            - $ref: '#/components/schemas/Team'
          nullable: true
        playerTeamStatsBeforeDraft:
          allOf:
            - $ref: '#/components/schemas/PlayerStats'
          nullable: true
        eliteprospectsUrlPath:
          type: string
        updatedAt:
          type: string
        _links:
          type: array
          items:
            type: string
    Agency:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        logoUrl:
          type: string
          nullable: true
        location:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        country:
          allOf:
            - $ref: '#/components/schemas/Country'
          nullable: true
        secondaryCountry:
          allOf:
            - $ref: '#/components/schemas/Country'
          nullable: true
        verified:
          type: boolean
        info:
          type: string
          nullable: true
        numberOfClients:
          type: integer
        agents:
          type: array
          items:
            type: string
        eliteprospectsUrlPath:
          type: string
        links:
          properties:
            webUrl:
              type: string
              nullable: true
            facebook:
              type: string
              nullable: true
            x:
              type: string
              nullable: true
            twitter:
              type: string
              nullable: true
            instagram:
              type: string
              nullable: true
        updatedAt:
          type: string
        _links:
          type: array
          items:
            type: string
    PlayerStyle:
      type: object
      properties:
        slug:
          type: string
        name:
          type: string
        description:
          type: string
    StaffStatus:
      type: string
      enum:
        - active
        - deceased
    StaffStats:
      type: object
      properties:
        id:
          type: integer
        staff:
          $ref: '#/components/schemas/Staff'
        staffAge:
          type: integer
          nullable: true
          description: Staff during the season
        season:
          $ref: '#/components/schemas/Season'
        status:
          $ref: '#/components/schemas/StaffStatsStatus'
        team:
          allOf:
            - $ref: '#/components/schemas/Team'
          nullable: true
        teamName:
          type: string
          nullable: true
        teamLogo:
          properties:
            small:
              type: string
            medium:
              type: string
            large:
              type: string
              nullable: true
          nullable: true
        teamLogoUrl:
          type: string
          nullable: true
        league:
          allOf:
            - $ref: '#/components/schemas/League'
          nullable: true
        leagueName:
          type: string
          nullable: true
          description: Historic league name for specific season
        leagueFullName:
          type: string
          nullable: true
          description: Historic league fullName for specific season
        leagueType:
          $ref: '#/components/schemas/LeagueType'
        role:
          type: string
          nullable: true
        notes:
          type: string
          nullable: true
        updatedAt:
          type: string
    PlayerStatsType:
      type: string
      enum:
        - default
        - projected
    PlayerStatsStatus:
      type: string
      enum:
        - rostered
        - not-active-on-team
        - not-active
    LeagueType:
      type: string
      enum:
        - league
        - cup
        - null
      nullable: true
    ContractType:
      type: string
      enum:
        - loan
        - lockout
        - null
      nullable: true
    StaffStatsStatus:
      type: string
      enum:
        - rostered
        - not-active-on-team
        - not-active
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: query
      name: apiKey

````